ERROR : Error appeared during Puppet run: 192.168.1.201_mariadb.pp-阿里云开发者社区

开发者社区> 数据库> 正文

ERROR : Error appeared during Puppet run: 192.168.1.201_mariadb.pp

简介:

RDO模式安装报错

1
2
3
ERROR : Error appeared during Puppet run: 192.168.1.201_mariadb.pp
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install mariadb' returned 1: Error: Package: 1:mariadb-5.5.44-2.el7.centos.x86_64 (dvd)
You will find full trace in log /var/tmp/packstack/20160704-142958-_jXSqZ/manifests/192.168.1.201_mariadb.pp.log



怀疑是软件问题,查看


1
2
3
4
5
6
7
8
9
[root@h1 ~]# yum -d 0 -e 0 -y install mariadb-5.5.44-2.el7.centos.x86_64
错误:软件包:1:mariadb-5.5.44-2.el7.centos.x86_64 (dvd)
          需要:mariadb-libs(x86-64) = 1:5.5.44-2.el7.centos
          已安装: 1:mariadb-libs-5.5.47-1.el7_2.x86_64 (@updates)
              mariadb-libs(x86-64) = 1:5.5.47-1.el7_2
          可用: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (dvd)
              mariadb-libs(x86-64) = 1:5.5.44-2.el7.centos
 您可以尝试添加 --skip-broken 选项来解决该问题
 您可以尝试执行:rpm -Va --nofiles --nodigest


一个是5.5.44  一个是5.5.47


1
2
3
4
5
6
7
8
[root@h1 Packages]# rpm -e --nodeps mariadb-libs-5.5.47-1.el7_2.x86_64
[root@h1 Packages]# rpm -qa mariadb-libs                              
[root@h1 Packages]# rpm -ivh mariadb-libs-5.5.44-2.el7.centos.x86_64.rpm
准备中...                          ################################# [100%]
正在升级/安装...
   1:mariadb-libs-1:5.5.44-2.el7.cento################################# [100%]
[root@h1 Packages]# rpm -qa mariadb-libs                              
mariadb-libs-5.5.44-2.el7.centos.x86_64


重新测试,

正常过


最好是用centos源,防止安装包出问题











本文转自 295631788 51CTO博客,原文链接:http://blog.51cto.com/hequan/1795594,如需转载请自行联系原作者

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
数据库
使用钉钉扫一扫加入圈子
+ 订阅

分享数据库前沿,解构实战干货,推动数据库技术变革

其他文章